FROM golang:1.18

# Set destination for COPY
WORKDIR /app

# Download Go modules
COPY go.mod .
COPY go.sum .
RUN go mod download

# Copy the source code. Note the slash at the end, as explained in
# https://docs.docker.com/engine/reference/builder/#copy
COPY *.go ./

# Build
RUN go build -o /gas-purchase-code

EXPOSE 8080

# Run
CMD [ "/gas-purchase-code" ]
